package com.liquidnet.service.consumer.base.receiver.kylin;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import org.springframework.stereotype.Component;

@Component
public class ConsumerKylinSqlPerformanceSubscribeRdsReceiver extends AbstractSqlRedisReceiver {
    @Override
    protected String getRedisStreamKey() {
        return MQConst.KylinQueue.SQL_PERFORMANCE_SUBSCRIBE.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.KylinQueue.SQL_PERFORMANCE_SUBSCRIBE.getGroup();
    }
}
